-- items are linked directly to the invoice and not to an intermediate invoice project
ALTER TABLE item ADD invoiceid BIGINT;
ALTER TABLE item ADD CONSTRAINT fk_item_invoiceid FOREIGN KEY (invoiceid) REFERENCES PUBLIC.invoice(invoiceid);

-- link items to the invoice using the information from invoiceproject and then clean invoiceproject
-- see this link on how to do updates on joins
-- http://sourceforge.net/tracker/?func=detail&aid=897458&group_id=23316&atid=378134
UPDATE item SET invoiceid=(SELECT invoiceproject.invoiceid FROM invoiceproject where item.invoiceprojectid=invoiceproject.invoiceprojectid); 
UPDATE item SET invoiceprojectid=null;
DELETE FROM invoiceproject;