-- expenses, products, time entries and trips are invoiced if they reference an invoice item
ALTER TABLE expense ADD invoiced BOOLEAN;
UPDATE expense SET invoiced=(itemid is not null);

ALTER TABLE product ADD invoiced BOOLEAN;
UPDATE product SET invoiced=(itemid is not null);

ALTER TABLE timeentry ADD invoiced BOOLEAN;
UPDATE timeentry SET invoiced=(itemid is not null);

ALTER TABLE trip ADD invoiced BOOLEAN;
UPDATE trip SET invoiced=(itemid is not null);

-- tasks are invoiced if they are referenced by an invoice item
ALTER TABLE task ADD invoiced BOOLEAN;
UPDATE task SET invoiced=EXISTS(SELECT * FROM item WHERE item.taskid is not null and item.taskid=task.taskid);